Name:           perl-Class-Factory-Util
Version:        1.7
Release:        1%{?dist}
Summary:        Provide utility methods for factory classes 

Group:          Development/Libraries
License:        Artistic or GPL        
URL:            http://search.cpan.org/dist/Class-Factory-Util            
Source0: http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Class-Factory-Util-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl, perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module exports utility functions that are useful for factory classes.


%prep
%setup -q -n Class-Factory-Util-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Mon Apr 02 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.7-1
- update to 1.7
- switch to Build.PL
- misc spec cleanups

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-3
- bump for mass rebuild

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-2
- bump for build & release 

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-1
Initial spec file for F-E
